#include <windows.h>
#include <math.h>
#include <vector>

using namespace std;


#include "aeffeditor.h"



#define GUI_WINDOW_WDT		595
#define GUI_WINDOW_HGT		185

#define GUI_COLOR_ERROR		RGB(255,255,128)

#define IDC_CHANNEL			10000



class GUI:public AEffEditor
{
	PCSPE *pcspe;

private:

	HWND hWndForm;
	HWND hWndLabelC;
	HWND hWndLabelV;
	HWND hWndLabelA;
	HWND hWndLabelP;
	HWND hWndLabelIF;
	HWND hWndLabelAS;
	HWND hWndEditV;
	HWND hWndEditA;
	HWND hWndEditP;
	HWND hWndChannel[16];
	HWND hWndIntFreq[7];
	HWND hWndLogFile;
	HWND hWndLogFileAuto;
	HWND hWndMultiMode;

	ERect rect;

	static LONG WINAPI WndProc(HWND hwnd,UINT message,WPARAM wParam,LPARAM lParam);

public:

	GUI(AudioEffect* effect);

	~GUI();

	virtual bool open(void* ptr);

	virtual void close();

	virtual bool getRect(ERect **ppRect);

	void Update(void);
};
